package test.portlet.producer.main;

import test.portlet.producer.ProducerController;

import com.vaadin.ui.Button;
import com.vaadin.ui.Label;
import com.vaadin.ui.VerticalLayout;
import com.vaadin.ui.Window;
import com.vaadin.ui.Button.ClickEvent;

@SuppressWarnings("serial")
public class ProducerWindow extends Window {
    private Label label;
    private int clickNr = 0;
    
    public void init() {
        VerticalLayout main= new VerticalLayout();
        Label header = new Label("<h2>Producer</h2>", Label.CONTENT_XHTML);
        Button button = new Button("Click me");
        button.setImmediate(true);
        button.addListener(new Button.ClickListener() {
            
            @Override
            public void buttonClick(ClickEvent event) {
                ProducerController.get().sendEvent(clickNr++);
            }
        });
        
        label = new Label("", Label.CONTENT_XHTML);
        main.addComponent(header);
        main.addComponent(button);
        main.addComponent(new Label("<hr/>", Label.CONTENT_XHTML));
        main.addComponent(label);
        main.addComponent(new Label("<hr/>", Label.CONTENT_XHTML));
        this.setContent(main);
    }

    public void updateContent(int nr) {
        label.setValue("Event sent <strong>"+nr+"</strong> times");
    }
}
